#include <QCoreApplication>
extern "C"{
#include "usb-1000.h"
}
#include <QDebug>

/*******************************************
此范例模拟量输入功能   采集固定数据点后结束采集
********************************************/

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    int temp;
    int Dev_Index = 0;		// 设备索引，默认设备 0
    float Ai[80000];

    temp =FindUSBDAQ();
    temp = OpenDevice(Dev_Index);           //打开设备
    temp = ResetDevice(Dev_Index);		    //复位指定设备
    temp = SetUSB1AiRange(Dev_Index, 5); 	  // 设置模拟输入量程 这里设置为5代表正负5v量程
    temp = SetSampleRate(Dev_Index, 1000);	  //设置总采样率采样率为1K
    temp = SetChanMode(Dev_Index,3);         //选择接线方式 0代表diff  1代表NRSE 3代表RSE  其它无效
    temp = SetChanSel(Dev_Index, 0x01);		 // 选择需要采集的通道  以二进制表示 这里选择开启0通道  AI功能 一共16通道低位到高位依次是 Ai1到Ai15
    temp = StartRead(Dev_Index);             //开启线程
    temp = SetSoftTrig(Dev_Index, 1);        //设置软件触发

    //此范例以获取固定点数数据后即结束，如果需要连续采集 则不断执行GetAiChans函数即可

                //Getai函数的返回值 代表采集卡缓冲区空间  缓冲区大小是2M点数的空间
     temp = GetAiChans(Dev_Index, 100,0x01, Ai, 1000);       // 100这个参数每执行一次getai从FIFO缓冲区获取的点数，
                                                             //建议这个参数填写的是单通道采样率的十分之一或者五分之一
                                                             // 每通道读取 100个点存放于 Ai 数组中，超时时间为 1000ms
                                                             //1000是以ms为单位 它的设定代表在1000ms内 需要从fifo缓冲区获取到100数据点  如没有获取到 则会报超时的错误 -7
                                                             // 数据存放规则为前 100个数据是 Ai 0 通道；
                                                             //          接下来 100个数据是 Ai 1 通道；
                                                             //          接下来 100 个数据是 Ai 2 通道；
                                                             // 依此类推。
                                                              //每次获取到Ai0通道的100个数据 打印一个数据为例子

     qDebug()<<"ai0数据:"<<Ai[0];      //范例仅 打印ai0第一个数据
     qDebug()<<"缓冲区剩余空间:"<<temp;
    temp = SetSoftTrig(Dev_Index, 0);       //关闭软件触发函数
    temp = StopRead(Dev_Index);			    //停止线程
    CloseDevice(Dev_Index);              //关闭采集卡设备
    return 0;
    return 0;
}
