#include <QCoreApplication>
extern "C"{
#include "usb-1000.h"
}
#include <QDebug>
#include <windows.h>

/*******************************************
此范例计数器功能 主要做计数显示 也可用于周期测量
********************************************/

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    int Dev_Index = 0;
    int temp;
    char  CtrNum = 15;
    char  CtrMode = 0;
    char  CtrEdge = 1;
    char  OnOff = 1;

    temp = OpenDevice(Dev_Index);           //打开设备
    temp = ResetDevice(Dev_Index);		    //复位指定设备
    temp = SetCounter(Dev_Index,CtrNum, CtrMode, CtrEdge);
    //设置计数器功能
    /*CtrNum，计数器通道索引号。0~3 对应 Ct0~Ct3。如果设置 0x0f 表示 4 个通道计
    数器同时操作。
    CtrMode，计数器工作模式，0 表示事件计数器模式，1 表示测量周期，2 表示测
    量正脉宽，3 表示测量负脉宽。
    CtrEdge，当工作于事件计数器模式时，本参数为 1 表示计数上升沿，2 表示计数
    下降沿。
    返回值：0 为无错
    */
    temp = StartCounter(Dev_Index, CtrNum, OnOff);       //开始计数  对应通道设置计数开始
    temp = TransDioIn(Dev_Index,1);       //使用数字功能需要调用此函数，1打开，0关闭
    temp = StartRead(Dev_Index);
    for (size_t i = 0; i < 10; i++)
    {
        for (size_t y = 0; y < 4; y++)
        {
            temp = GetCounter(Dev_Index, y);    //计数器模式下 获取计数的值  函数返回值为计数值
            //temp = GetCtrTime(Dev_Index, y);  //空时期，平时早急脾气周期   以ns为单位 函数返回值为周期
           qDebug()<<"计数器"<<y<<"计数值："<<temp;
        }
        Sleep(50);
    }
    temp = TransDioIn(Dev_Index, 0);       //使用数字功能需要调用此函数，1打开，0关闭
    temp = StartCounter(Dev_Index, CtrNum, 0);     //关闭对应通道
    temp = StopRead(Dev_Index);			    //停止线程
    CloseDevice(Dev_Index);                 //关闭采集卡设备
    return 0;

}
