#include <QCoreApplication>
extern "C"{
#include "usb-1000.h"
}
#include <QDebug>

/*******************************************
此范例模拟量输入功能    模拟量连续采集功能
********************************************/
int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    int temp;
    int DeviceIndex;
    float data[500000];  //初始化一定长度的数组  数组长度要大于等于 开启的通道数*每次getaichans获取的点数
    DeviceIndex = 0;	// 设定当前需要操作的设备索引号  使用当个设置 索引为0


    temp = OpenDevice(DeviceIndex);					// 打开设备


    temp = ResetDevice(DeviceIndex);				// 设备复位


    temp = SetUSB1AiRange(DeviceIndex, 5);	// 设置模拟输入量程，只能设置2个参数，5或者10,5代表正负5v量程，10代表0到10v量程


    temp = SetSampleRate(DeviceIndex, 1000);	// 设置模拟输入采样率  这里的采样率参数为总采样率参数，总采样率参数/开启通道数，为单通道的采样率。


    temp = SetChanMode(DeviceIndex, 3);		// 设置模拟输入通道连接方式，各种方式的硬件连接请参考手册 设置0为差分模式 设置1为NRSE模式，设置3为RSE模式


    temp = SetChanSel(DeviceIndex, 0x01);		// 选择需要采集的通道  如二进制表示一共16通道低位到高位依次是Ai0到Ai15 0为关闭，1为开启， 范例中以开启ai0为例


    temp = StartRead(DeviceIndex);					// 启动计算机从采集卡读数线程


    temp = SetSoftTrig(DeviceIndex, 1);				// 设置软件触发信号

    // 范例以不断执行GetAiChans10次 为例子 如果需要连续采集 则不断执行GetAiChans函数即可
    // 读取模拟输入采集数据，返回值可查看AiFifo空间剩余数量   fifo空间为200万数据空间
    // 如果AiFifoFree这个值越来越小，长时间数据采集则有数据溢出的风险
    // 开启为ai0通道数据 只需要操作data数组索引0到99对应的数据即是ai0的连续数据
    // 如果开启多个通道，数据依次排列 假设开启3个通道 索引0到99对应开启的第一个通道 索引100到199对应开启的第二个通道，索引200到299对应开启的第三个通道
    //建议这个参数填写的是单通道采样率的十分之一或者五分之一
    // 每通道读取 100个点存放于 data 数组中，超时时间为 1000ms
    for(int i = 0;i<10;i++)
    {
       temp =GetAiChans(DeviceIndex, 100, 0x01, data, 1000);                  // 100这个参数每执行一次getai从FIFO缓冲区获取的点数，
                                                                           //建议这个参数填写的是单通道采样率的十分之一或者五分之一
                                                                           // 每通道读取 100个点存放于 Ai 数组中，超时时间为 1000ms
                                                                           //1000是以ms为单位 它的设定代表在1000ms内 需要从fifo缓冲区获取到100数据点  如没有获取到 则会报超时的错误 -7
                                                                           // 数据存放规则为前 100个数据是 Ai 0 通道；
                                                                           //          接下来 100个数据是 Ai 1 通道；
                                                                           //          接下来 100 个数据是 Ai 2 通道；
                                                                           // 依此类推。
                                                                           //每次获取到Ai0通道的100个数据 打印一个数据为例子
       qDebug()<<"ai0数据:"<<data[0];      //范例仅 打印ai0第一个数据
       qDebug()<<"缓冲区剩余空间:"<<temp;

    }

    temp = StopRead(DeviceIndex);					// 关闭计算机从采集卡读数线程


    temp = SetSoftTrig(DeviceIndex, 0);				// 关闭软件触发信号


    temp = ClearBufs(DeviceIndex);					// 清空数据缓存空间


    CloseDevice(DeviceIndex);						// 关闭设备

    qDebug()<<"/**************end****************/";
    return 0;
}
